Create Coupon
1 min
POST
https://api.upstartcommerce.com/v1/promotion/coupon
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectSites specified in coupon must match sites of promotion for which the coupon is being created.
201<p>Success-coupon created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/promotion/coupon \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"id": "",
"promotionId": "",
"couponUsages": [
{
"siteIds": []
}
]
}'